(async function () {
  function getClientVersion(data) {
    for (const app of data) {
      for (const env of Object.keys(app.environments).map(Number).sort((a, b) => (a - b))) {
        const environment = app.environments[env];
        const url = (environment && environment.url).replaceAll('*', '.*').replaceAll('..', '.');
        if (
          !!url && new RegExp(url).test(
            window.top.location.href
          )
        ) {
          return environment.clientVersion;
        }
      }
    }
  }
  const contentURL = "https://client.app.apty.io";
  const serverUrl = "https://app.apty.io";
  const tenantKey = "ZB8zIKbu";
  const hostedJsUrl = contentURL;
  let hostedJsPath = hostedJsUrl + '/production/client-injected-latest';
  const fontsUrl = "https://fonts.app.apty.io";
  const element = window.document.createElement("script");
  const segmentIoUrl = "https://api.segment.io";
  const storageURL = 'https://storage.app.apty.io';
  const eventsApiUrl = 'https://track.app.apty.io';
  let baseTag = "";
  let clientVersion = "";
  const deploymentType = '';
  const timeStamp = new Date().getTime();
  const response = await fetch(
    `${contentURL}/tenant-${tenantKey}/app-urls.json?timestamp=${timeStamp}`
  );
  await response.json().then((data) => {
    if (data.length > 0) {
      clientVersion = getClientVersion(data);
      if (!clientVersion) {
        clientVersion = '4.16.0';
      }
      element.setAttribute("id", "letznav-script");
      element.setAttribute("type", "text/javascript");
      element.setAttribute("data-server", serverUrl);
      element.setAttribute("data-instanceid", tenantKey);
      element.setAttribute("data-hosted-js", hostedJsUrl);
      element.setAttribute("data-content-url", contentURL);
      element.setAttribute("data-segmentIo-url", segmentIoUrl);
      element.setAttribute('src', hostedJsPath + '/apty-client.js');
      element.setAttribute("data-fonts-url", fontsUrl);
      element.setAttribute("data-base-tag", baseTag);
      element.setAttribute('data-storage-url', storageURL);
      element.setAttribute("data-client-version", clientVersion);
      element.setAttribute('data-deployment-type', deploymentType);
      element.setAttribute("data-events-api-url", eventsApiUrl)
      window.document.head.appendChild(element);
    }
  });
})();